Bug 1145292 - JMX plugin - memory size 'trait' is not really a trait
Summary: JMX plugin - memory size 'trait' is not really a trait
Status: ON_QA
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins
Version: 4.12
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
: RHQ 4.13
Assignee: Thomas Segismont
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-22 18:37 UTC by Elias Ross
Modified: 2014-10-16 15:19 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)

Description Elias Ross 2014-09-22 18:37:32 UTC
Description of problem:

rhq/modules/plugins/jmx/src/main/resources/META-INF/rhq-plugin.xml

         <metric displayName="Heap Maximum Size"
                 property="{HeapMemoryUsage.max}"
                 displayType="summary"
                 dataType="trait"
                 description="Maximum amount of heap that can be used for memory management.  This amount of memory is not guaranteed to be available if it is greater than the amount of committed memory.  The Java virtual machine may fail to allocate memory even if the amount of used memory does not exceed this maximum size."
                 units="bytes"/>

Although it is 'max', for PS Eden size, there is a new value every time this metric is collected. It should not be a trait, and probably should be only captured very infrequently.

This ends up creating thousands of database records for every JVM instance.

Work-around is to disable this.

Comment 1 Elias Ross 2014-09-22 18:38:36 UTC
The other metrics ('traits') might also be problematic here. May be wise to disable the pool monitoring unless really used.

Comment 2 Thomas Segismont 2014-10-16 15:19:21 UTC
  Branch: refs/heads/master
  Home:   https://github.com/rhq-project/rhq
  Commit: 7edec8dbcf9196282dbb8857c55a1e206e1ddefe
      https://github.com/rhq-project/rhq/commit/7edec8dbcf9196282dbb8857c55a1e206e1ddefe
  Author: Elias Ross <elias_ross@apple.com>
  Date:   2014-10-15 (Wed, 15 Oct 2014)

  Changed paths:
    M modules/plugins/jmx/src/main/resources/META-INF/rhq-plugin.xml

  Log Message:
  -----------
  BZ 1145292 - Heap max size is variable, not trait

For PS Eden size, there is a new value every time this metric is collected. It
should not be a trait, and probably should be only captured very infrequently.

Reduce frequency by moving summary to detail for other pool data.


  Commit: 7ef13611bb8edbbc2e37b3b8b0984067d87b80bb
      https://github.com/rhq-project/rhq/commit/7ef13611bb8edbbc2e37b3b8b0984067d87b80bb
  Author: Thomas Segismont <tsegismont@gmail.com>
  Date:   2014-10-16 (Thu, 16 Oct 2014)

  Changed paths:
    M modules/plugins/jmx/src/main/resources/META-INF/rhq-plugin.xml

  Log Message:
  -----------
  Merge pull request #138 from genman/bug/1145292

BZ 1145292 - Heap max size is variable, not trait

Agreed these traits should be turned into numeric metrics.


Compare: https://github.com/rhq-project/rhq/compare/7c6a0916dd2b...7ef13611bb8e


Note You need to log in before you can comment on or make changes to this bug.